Foreman - Feature #36889

[Global Registration] - After expiration of the token should we raise with token expiration message
rather abstract message

11/02/2023 10:28 PM - Nofar Alfassi

Status: Closed
Priority: Low
Assignee: Nofar Alfassi
Category:
Target version:
Difficulty: Fixed in Releases: 3.9.0
Triaged: No Found in Releases:
Bugzilla link: 1967073 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9890
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1967073

Description of problem:
After the expiration of the token should we raise with token expiration message?

Version-Release nhumber of selected component (if applicable):
satellite 6.10

How reproducible:
always

Steps to Reproduce:

1.generate the global registration command for 1 hour
2.try to use that command after 1 hour

3.

Actual results:
Error displayed as 'ERROR: unauthorized' abstract message

Expected results:
good to see the message based on the actual errors(if it is feasible)

Additional info:

Associated revisions

Revision 1eb33c7e - 11/08/2023 01:09 PM - Nofar Alfassi

Fixes #36889 - Add error message to indicate failed authentication

History

#1 - 11/02/2023 10:28 PM - Nofar Alfassi

- Subject changed from [Global Registration] - After expiration of the token should we raise with token expiration message rather abstract message
to [Global Registration] - After expiration of the token should we raise with token expiration message rather abstract message

- Assignee set to Nofar Alfassi

#2 - 11/02/2023 11:08 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9890 added

#3 - 11/08/2023 01:09 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added
https://bugzilla.redhat.com/show_bug.cgi?id=1967073

#4 - 11/08/2023 02:00 PM - Nofar Alfassi
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1eb33c7eb13e6f547f8bcb21ccf5969e8b876e98.
